#!/bin/bash

qpkg=$1
script_len=`head -60 $qpkg | grep -a script_len | head -1 | sed -e 's/.*=//'`
offset=`head -60 $qpkg | grep -a "^offset=" | head -1 | sed -e 's/.*script_len + //' -e 's/)$//'`

pkg=`echo $qpkg | sed -e 's/_arm-.*//' -e 's/PlexMediaServer_\(.*\)-/plexmediaserver-\1_/' -e 's/$/-binary/'`

(( offset += $script_len ))

#pv $qpkg | dd bs=$script_len skip=1 of=$qpkg.tar
pv $qpkg | dd bs=$offset skip=1 of=data.tar.gz

size=`ls -l data.tar.gz | awk '{print $5;}'`

mkdir -p usr/lib/plexmediaserver
pv data.tar.gz | tar -C usr/lib/plexmediaserver -zxf -
tar -cf - usr | gzip -9 | pv -s $size > $pkg.tar.gz

#rm $qpkg.tar
rm data.tar.gz
rm -rf usr
